NAME

    eps - Enhanced ps utility

SYNTAX

    eps

DESCRIPTION

    This program is an enhanced form of the ps utility.  It should be
    placed in the C: directory on your workbench disk.  It can only
    be run from the CLI.  When run, it produces output similar to
    the following:

Task Name        Pri  St  Address  P CLI I Command Name     Current Dir
---------------- ---- --- -------- - --- - ---------------- ----------------
Initial CLI         0 RUN   c04fd0 P   1 I c:eps            ASDG-RAM:       
Workbench           1 WAI   c0f1a0 P   0 I                                  
Background CLI     -1 WAI   c27a30 P   3 B c:cron           Workbench 1.2:  
RAM                 0 WAI   c1e620 P 
Background CLI      5 WAI   c23250 P   2 B c:loadavg        Workbench 1.2:  
File System        10 WAI   c05dc0 P 
VD0                 5 WAI   c2a028 P 
input.device       20 WAI   c02672 T
trackdisk.device    5 WAI   c047a6 T
trackdisk.device    5 WAI   c01446 T
File System        10 WAI   c00a98 P 
CON                 5 WAI   c06a90 P 

    The following is a brief explanation of each field:

    TASK NAME -  This is the ASCII name found in the task structure.

    PRI -  This is the task's current priority printed in decimal.

    ST -  This is the task's current state.  All states are abbreviated
        to three letters.  For example, RUN means this is the currently
        executing task, RDY means that this task is ready for the CPU,
        WAI means this task is currently in a wait state, etc.

    ADDRESS -  This is the address of the task's TCB (Task Control Block)
        printed in hexadecimal.

    P -  This indicates whether the task is a task, or a process.  'T' 
        indicates a task, 'P' indicates a process.

    CLI -  If the process is also a CLI process, the CLI task array number
        is printed in this field.

    I -  This field indicates whether the CLI process was started as
        an interactive 'I', or a background 'B' process.  Background
        processes are the result of the RUN command.

    COMMAND NAME -  This is the name of the command as DOS sees it in
        the filing system.

    CURRENT DIRECTORY -  This is the current working directory of the
        CLI process.
      
SEE ALSO

    stp

BUGS

    The TASK NAME, COMMAND NAME, and CURRENT DIRECTORY are
    truncated to a length of 16 characters each, for formatting
    purposes.

AUTHOR

    Jeffrey Bailey
    Programmer/Analyst
    Nova University
    Ft. Lauderdale, FL
    UUCP:...{ihnp4!codas, ucf-cs, allegra}!novavax!jeff
    UUCP:...{ihnp4!codas, ucf-cs, allegra}!novavax!regulus!jeff  (Private)
